Bug 117295

Summary: [Qt][EFL][GTK] fast/regions/overflow-size-change-with-stacking-context-rtl.html fails after r151202
Product: WebKit Reporter: Gábor Ábrahám <abrhm>
Component: Tools / TestsAssignee: Mihnea Ovidenie <mihnea>
Status: RESOLVED FIXED    
Severity: Normal CC: commit-queue, kadam, mihnea, ossy, WebkitBugTracker, zarvai
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: Unspecified   
OS: Unspecified   
Bug Depends on:    
Bug Blocks: 66641, 76486, 79666, 117074    
Attachments:
Description Flags
Patch
none
Patch for landing none

Comment 1 Mihnea Ovidenie 2013-06-06 08:18:06 PDT
Taking a look...
Comment 2 Mihnea Ovidenie 2013-06-07 01:51:56 PDT
Similar to https://bugs.webkit.org/show_bug.cgi?id=102387, i will fix this regression by making the margins compute to int values.
Comment 3 Mihnea Ovidenie 2013-06-07 02:03:04 PDT
Created attachment 204016 [details]
Patch
Comment 4 Mihnea Ovidenie 2013-06-07 02:13:53 PDT
Tested the fix with a Mac build with subpixel layout enabled.
Comment 5 Gábor Ábrahám 2013-06-07 02:30:04 PDT
*** Bug 117336 has been marked as a duplicate of this bug. ***
Comment 6 Zoltan Arvai 2013-06-07 04:03:32 PDT
(In reply to comment #4)
> Tested the fix with a Mac build with subpixel layout enabled.

Seems ok in Qt linux, too.
Comment 7 Alexandru Chiculita 2013-06-10 08:19:30 PDT
Comment on attachment 204016 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=204016&action=review

r=me

> LayoutTests/ChangeLog:8
> +        Make sure that computed margins are ints not floats to avoid differences on platforms that enable

nit: I think the comment is not enough to explain the changes in this patch.
Comment 8 Mihnea Ovidenie 2013-06-11 01:03:44 PDT
Created attachment 204297 [details]
Patch for landing
Comment 9 WebKit Commit Bot 2013-06-11 01:47:22 PDT
The commit-queue encountered the following flaky tests while processing attachment 204297 [details]:

platform/mac/editing/deleting/deletionUI-single-instance.html bug 114181 (author: rniwa@webkit.org)
transitions/color-transition-rounding.html bug 114182 (author: simon.fraser@apple.com)
transitions/cubic-bezier-overflow-svg-length.html bug 114183 (author: peter@chromium.org)
transitions/interrupt-zero-duration.html bug 114184 (authors: cmarrin@apple.com, rniwa@webkit.org, and simon.fraser@apple.com)
transitions/multiple-background-transitions.html bug 114185 (author: simon.fraser@apple.com)
transitions/cubic-bezier-overflow-color.html bug 114186 (author: peter@chromium.org)
transitions/mismatched-shadow-transitions.html bug 114188 (author: simon.fraser@apple.com)
transitions/color-transition-all.html bug 114189 (authors: ossy@webkit.org and simon.fraser@apple.com)
transitions/cubic-bezier-overflow-shadow.html bug 114191 (author: peter@chromium.org)
transitions/min-max-width-height-transitions.html bug 114192 (author: simon.fraser@apple.com)
transitions/cancel-transition.html bug 114193 (authors: ojan@chromium.org, rniwa@webkit.org, and simon.fraser@apple.com)
transitions/border-radius-transition.html bug 114194 (author: simon.fraser@apple.com)
transitions/flex-transitions.html bug 114195 (author: tony@chromium.org)
transitions/mixed-type.html bug 114196 (author: mikelawther@chromium.org)
transitions/color-transition-premultiplied.html bug 114198 (author: simon.fraser@apple.com)
transitions/mismatched-shadow-styles.html bug 114199 (author: simon.fraser@apple.com)
transitions/mask-transitions.html bug 114200 (authors: ojan@chromium.org, oliver@apple.com, and simon.fraser@apple.com)
transitions/cubic-bezier-overflow-length.html bug 114201 (author: peter@chromium.org)
transitions/multiple-background-size-transitions.html bug 114202 (authors: mitz@webkit.org and simon.fraser@apple.com)
transitions/clip-transition.html bug 114203 (authors: dglazkov@chromium.org, krit@webkit.org, and simon.fraser@apple.com)
transitions/cubic-bezier-overflow-transform.html bug 114204 (author: peter@chromium.org)
transitions/interrupted-accelerated-transition.html bug 56242 (authors: rniwa@webkit.org, simon.fraser@apple.com, and tonyg@chromium.org)
transitions/background-transitions.html bug 114206 (author: simon.fraser@apple.com)
http/tests/cookies/multiple-cookies.html bug 115608 (authors: ap@webkit.org, hamaji@chromium.org, and jchaffraix@webkit.org)
http/tests/security/mixedContent/redirect-https-to-http-iframe-in-main-frame.html bug 114208 (authors: abarth@webkit.org and rniwa@webkit.org)
http/tests/inspector/inspect-element.html bug 78869 (author: pfeldman@chromium.org)
fast/dom/Window/window-postmessage-clone.html bug 40123 (authors: mrobinson@webkit.org, oliver@apple.com, and vitalyr@chromium.org)
fast/loader/javascript-url-in-object.html bug 114210 (authors: rniwa@webkit.org and sam@webkit.org)
plugins/mouse-move-over-plugin-in-frame.html bug 116664 (authors: jam@chromium.org and rniwa@webkit.org)
plugins/mouse-events.html bug 116665 (authors: hamaji@chromium.org, noel.gordon@gmail.com, rniwa@webkit.org, and robert@webkit.org)
The commit-queue is continuing to process your patch.
Comment 10 WebKit Commit Bot 2013-06-11 01:48:17 PDT
Comment on attachment 204297 [details]
Patch for landing

Clearing flags on attachment: 204297

Committed r151430: <http://trac.webkit.org/changeset/151430>
Comment 11 WebKit Commit Bot 2013-06-11 01:48:20 PDT
All reviewed patches have been landed.  Closing bug.